From 67fb92b345992ab6361e03a2a689a48d4e13731f Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Mon, 13 Jan 2025 10:34:15 +1100
Subject: [PATCH v51] Add missing pubgencols attribute docs for pg_publication
 catalog

---
 doc/src/sgml/catalogs.sgml | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index cc6cf9b..3d2163b 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -6386,6 +6386,16 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
+       <structfield>pubgencols</structfield> <type>bool</type>
+      </para>
+      <para>
+       If true, this publication replicates the stored generated columns
+       present in the tables associated with the publication.
+      </para></entry>
+     </row>
+
+     <row>
+      <entry role="catalog_table_entry"><para role="column_definition">
        <structfield>pubviaroot</structfield> <type>bool</type>
       </para>
       <para>
-- 
1.8.3.1

